/*
 * ShakeFive.h
 *
 *  Created on: March, 2016
 *      Author: anonymous ECCV submission 1747
 */

#ifndef SHAKEFIVE_H_
#define SHAKEFIVE_H_

#include <opencv2/core/core.hpp>
#include <string>
#include <vector>

namespace nl_uu_science_gmt
{

class ShakeFive
{
	const std::string m_metadata_filename;

	static std::vector<std::string> explode(
			const std::string &, std::string);
	static std::string implode(
			const std::string &, const std::vector<std::string> &);

public:
	ShakeFive(
			const std::string &);
	virtual ~ShakeFive();

	int play();
	static inline void help(
			const std::string &bin_name, const std::string &example);
};

} /* namespace nl_uu_science_gmt */

#endif /* SHAKEFIVE_H_ */
